RDKit: RDKit::StructureCheck::StructCheckerOptions Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::StructureCheck::StructCheckerOptions Struct Reference

`#include <StructChecker.h>`

## Public Member Functions
| StructCheckerOptions ()
void | clear ()
bool | loadAugmentedAtomTranslations (const std::string &path)
void | setAugmentedAtomTranslations (const std::vector< std::pair< AugmentedAtom, AugmentedAtom > > &aaPairs)
bool | loadAcidicAugmentedAtoms (const std::string &path)
void | setAcidicAugmentedAtoms (const std::vector< AugmentedAtom > &acidicAtoms)
bool | loadGoodAugmentedAtoms (const std::string &path)
void | setGoodAugmentedAtoms (const std::vector< AugmentedAtom > &acidicAtoms)
bool | loadPatterns (const std::string &path)
void | parsePatterns (const std::vector< std::string > &smarts)
void | setPatterns (const std::vector< ROMOL_SPTR > &p)
bool | loadRotatePatterns (const std::string &path)
void | parseRotatePatterns (const std::vector< std::string > &smarts)
void | setRotatePatterns (const std::vector< ROMOL_SPTR > &p)
bool | loadStereoPatterns (const std::string &path)
void | parseStereoPatterns (const std::vector< std::string > &smarts)
void | setStereoPatterns (const std::vector< ROMOL_SPTR > &p)
bool | loadTautomerData (const std::string &path)
void | parseTautomerData (const std::vector< std::string > &smartsFrom, const std::vector< std::string > &smartsTo)
void | setTautomerData (const std::vector< ROMOL_SPTR > &from, const std::vector< ROMOL_SPTR > &to)
bool | loadChargeDataTables (const std::string &path)

## Public Attributes
double | AcidityLimit
bool | RemoveMinorFragments
int | DesiredCharge
bool | CheckCollisions
int | CollisionLimitPercent
unsigned | MaxMolSize
bool | ConvertSText
bool | SqueezeIdentifiers
bool | StripZeros
bool | CheckStereo
bool | ConvertAtomTexts
bool | GroupsToSGroups
bool | Verbose
std::vector< std::pair< AugmentedAtom, AugmentedAtom > > | AugmentedAtomPairs
std::vector< AugmentedAtom > | AcidicAtoms
std::vector< AugmentedAtom > | GoodAtoms
std::vector< ROMOL_SPTR > | Patterns
std::vector< ROMOL_SPTR > | RotatePatterns
std::vector< ROMOL_SPTR > | StereoPatterns
std::vector< ROMOL_SPTR > | FromTautomer
std::vector< ROMOL_SPTR > | ToTautomer
double | Elneg0
std::map< unsigned, double > | ElnegTable
std::vector< IncEntry > | AtomAcidity
std::vector< IncEntry > | ChargeIncTable
double | Alpha
double | Beta
std::vector< PathEntry > | AlphaPathTable
std::vector< PathEntry > | BetaPathTable

## Detailed Description

Structure Check Options Holds all the user options for the StructureChecking. Can be initialized from factory functions, perhaps serialized

Definition at line 121 of file StructChecker.h.

## Constructor & Destructor Documentation

## ◆ StructCheckerOptions()

RDKit::StructureCheck::StructCheckerOptions::StructCheckerOptions | ( |  | ) |

Referenced by clear().

## Member Function Documentation

## ◆ clear()

void RDKit::StructureCheck::StructCheckerOptions::clear | ( |  | ) |
| inline

Definition at line 163 of file StructChecker.h.

References StructCheckerOptions().

## ◆ loadAcidicAugmentedAtoms()

bool RDKit::StructureCheck::StructCheckerOptions::loadAcidicAugmentedAtoms | ( | const std::string & | path | ) |

## ◆ loadAugmentedAtomTranslations()

bool RDKit::StructureCheck::StructCheckerOptions::loadAugmentedAtomTranslations | ( | const std::string & | path | ) |

## ◆ loadChargeDataTables()

bool RDKit::StructureCheck::StructCheckerOptions::loadChargeDataTables | ( | const std::string & | path | ) |

## ◆ loadGoodAugmentedAtoms()

bool RDKit::StructureCheck::StructCheckerOptions::loadGoodAugmentedAtoms | ( | const std::string & | path | ) |

## ◆ loadPatterns()

bool RDKit::StructureCheck::StructCheckerOptions::loadPatterns | ( | const std::string & | path | ) |

## ◆ loadRotatePatterns()

bool RDKit::StructureCheck::StructCheckerOptions::loadRotatePatterns | ( | const std::string & | path | ) |

## ◆ loadStereoPatterns()

bool RDKit::StructureCheck::StructCheckerOptions::loadStereoPatterns | ( | const std::string & | path | ) |

## ◆ loadTautomerData()

bool RDKit::StructureCheck::StructCheckerOptions::loadTautomerData | ( | const std::string & | path | ) |

## ◆ parsePatterns()

void RDKit::StructureCheck::StructCheckerOptions::parsePatterns | ( | const std::vector< std::string > & | smarts | ) |

## ◆ parseRotatePatterns()

void RDKit::StructureCheck::StructCheckerOptions::parseRotatePatterns | ( | const std::vector< std::string > & | smarts | ) |

## ◆ parseStereoPatterns()

void RDKit::StructureCheck::StructCheckerOptions::parseStereoPatterns | ( | const std::vector< std::string > & | smarts | ) |

## ◆ parseTautomerData()

void RDKit::StructureCheck::StructCheckerOptions::parseTautomerData | ( | const std::vector< std::string > & | smartsFrom,
|  | const std::vector< std::string > & | smartsTo )

## ◆ setAcidicAugmentedAtoms()

void RDKit::StructureCheck::StructCheckerOptions::setAcidicAugmentedAtoms | ( | const std::vector< AugmentedAtom > & | acidicAtoms | ) |

## ◆ setAugmentedAtomTranslations()

void RDKit::StructureCheck::StructCheckerOptions::setAugmentedAtomTranslations | ( | const std::vector< std::pair< AugmentedAtom, AugmentedAtom > > & | aaPairs | ) |

## ◆ setGoodAugmentedAtoms()

void RDKit::StructureCheck::StructCheckerOptions::setGoodAugmentedAtoms | ( | const std::vector< AugmentedAtom > & | acidicAtoms | ) |

## ◆ setPatterns()

void RDKit::StructureCheck::StructCheckerOptions::setPatterns | ( | const std::vector< ROMOL_SPTR > & | p | ) |

## ◆ setRotatePatterns()

void RDKit::StructureCheck::StructCheckerOptions::setRotatePatterns | ( | const std::vector< ROMOL_SPTR > & | p | ) |

## ◆ setStereoPatterns()

void RDKit::StructureCheck::StructCheckerOptions::setStereoPatterns | ( | const std::vector< ROMOL_SPTR > & | p | ) |

## ◆ setTautomerData()

void RDKit::StructureCheck::StructCheckerOptions::setTautomerData | ( | const std::vector< ROMOL_SPTR > & | from,
|  | const std::vector< ROMOL_SPTR > & | to )

## Member Data Documentation

## ◆ AcidicAtoms

std::vector<AugmentedAtom> RDKit::StructureCheck::StructCheckerOptions::AcidicAtoms

Definition at line 138 of file StructChecker.h.

## ◆ AcidityLimit

double RDKit::StructureCheck::StructCheckerOptions::AcidityLimit

Definition at line 122 of file StructChecker.h.

## ◆ Alpha

double RDKit::StructureCheck::StructCheckerOptions::Alpha

Definition at line 157 of file StructChecker.h.

## ◆ AlphaPathTable

std::vector<PathEntry> RDKit::StructureCheck::StructCheckerOptions::AlphaPathTable

Definition at line 158 of file StructChecker.h.

## ◆ AtomAcidity

std::vector<IncEntry> RDKit::StructureCheck::StructCheckerOptions::AtomAcidity

Definition at line 148 of file StructChecker.h.

## ◆ AugmentedAtomPairs

std::vector<std::pair<AugmentedAtom, AugmentedAtom> > RDKit::StructureCheck::StructCheckerOptions::AugmentedAtomPairs

Definition at line 137 of file StructChecker.h.

## ◆ Beta

double RDKit::StructureCheck::StructCheckerOptions::Beta

Definition at line 157 of file StructChecker.h.

## ◆ BetaPathTable

std::vector<PathEntry> RDKit::StructureCheck::StructCheckerOptions::BetaPathTable

Definition at line 158 of file StructChecker.h.

## ◆ ChargeIncTable

std::vector<IncEntry> RDKit::StructureCheck::StructCheckerOptions::ChargeIncTable

Definition at line 149 of file StructChecker.h.

## ◆ CheckCollisions

bool RDKit::StructureCheck::StructCheckerOptions::CheckCollisions

Definition at line 125 of file StructChecker.h.

## ◆ CheckStereo

bool RDKit::StructureCheck::StructCheckerOptions::CheckStereo

Definition at line 131 of file StructChecker.h.

## ◆ CollisionLimitPercent

int RDKit::StructureCheck::StructCheckerOptions::CollisionLimitPercent

Definition at line 126 of file StructChecker.h.

## ◆ ConvertAtomTexts

bool RDKit::StructureCheck::StructCheckerOptions::ConvertAtomTexts

Definition at line 132 of file StructChecker.h.

## ◆ ConvertSText

bool RDKit::StructureCheck::StructCheckerOptions::ConvertSText

Definition at line 128 of file StructChecker.h.

## ◆ DesiredCharge

int RDKit::StructureCheck::StructCheckerOptions::DesiredCharge

Definition at line 124 of file StructChecker.h.

## ◆ Elneg0

double RDKit::StructureCheck::StructCheckerOptions::Elneg0

Definition at line 146 of file StructChecker.h.

## ◆ ElnegTable

std::map<unsigned, double> RDKit::StructureCheck::StructCheckerOptions::ElnegTable

Definition at line 147 of file StructChecker.h.

## ◆ FromTautomer

std::vector<ROMOL_SPTR> RDKit::StructureCheck::StructCheckerOptions::FromTautomer

Definition at line 143 of file StructChecker.h.

## ◆ GoodAtoms

std::vector<AugmentedAtom> RDKit::StructureCheck::StructCheckerOptions::GoodAtoms

Definition at line 139 of file StructChecker.h.

## ◆ GroupsToSGroups

bool RDKit::StructureCheck::StructCheckerOptions::GroupsToSGroups

Definition at line 133 of file StructChecker.h.

## ◆ MaxMolSize

unsigned RDKit::StructureCheck::StructCheckerOptions::MaxMolSize

Definition at line 127 of file StructChecker.h.

## ◆ Patterns

std::vector<ROMOL_SPTR> RDKit::StructureCheck::StructCheckerOptions::Patterns

Definition at line 140 of file StructChecker.h.

## ◆ RemoveMinorFragments

bool RDKit::StructureCheck::StructCheckerOptions::RemoveMinorFragments

Definition at line 123 of file StructChecker.h.

## ◆ RotatePatterns

std::vector<ROMOL_SPTR> RDKit::StructureCheck::StructCheckerOptions::RotatePatterns

Definition at line 141 of file StructChecker.h.

## ◆ SqueezeIdentifiers

bool RDKit::StructureCheck::StructCheckerOptions::SqueezeIdentifiers

Definition at line 129 of file StructChecker.h.

## ◆ StereoPatterns

std::vector<ROMOL_SPTR> RDKit::StructureCheck::StructCheckerOptions::StereoPatterns

Definition at line 142 of file StructChecker.h.

## ◆ StripZeros

bool RDKit::StructureCheck::StructCheckerOptions::StripZeros

Definition at line 130 of file StructChecker.h.

## ◆ ToTautomer

std::vector<ROMOL_SPTR> RDKit::StructureCheck::StructCheckerOptions::ToTautomer

Definition at line 144 of file StructChecker.h.

## ◆ Verbose

bool RDKit::StructureCheck::StructCheckerOptions::Verbose

Definition at line 134 of file StructChecker.h.

The documentation for this struct was generated from the following file:

- StructChecker.h